Solid Edge FrameworkSupport Type Library
SetTerminator Method
Specifies the annotation object to which the leader is to be connected.
Coordinates of the locate point for the terminator object. This point is used as a proximity point while calculating the key point.
Coordinates of the locate point for the terminator object. This point is used as a proximity point while calculating the key point.
Coordinates of the locate point for the terminator object. This point is used as a proximity point while calculating the key point.
Specifies whether the object or a key point of the terminator object is to be used. If True, the leader's terminal end is placed with respect to the TerminatorObject; if False, the nearest key point on that object is selected.
Description
Specifies a new object and/or connect point for the terminal end of an annotatino object's leader.
Syntax
Visual Basic
Public Sub SetTerminator( _
   ByVal TerminatorObj As Object, _
   ByVal x As Double, _
   ByVal y As Double, _
   ByVal z As Double, _
   ByVal keyPoint As Boolean _
) 
Parameters
TerminatorObj
Specifies the annotation object to which the leader is to be connected.
x
Coordinates of the locate point for the terminator object. This point is used as a proximity point while calculating the key point.
y
Coordinates of the locate point for the terminator object. This point is used as a proximity point while calculating the key point.
z
Coordinates of the locate point for the terminator object. This point is used as a proximity point while calculating the key point.
keyPoint
Specifies whether the object or a key point of the terminator object is to be used. If True, the leader's terminal end is placed with respect to the TerminatorObject; if False, the nearest key point on that object is selected.
Remarks
If the annotation object is placed with respect to a key point, the point of reference is the key point.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objLine As SolidEdgeFrameworkSupport.Line2d
    Dim objFCFs As SolidEdgeFrameworkSupport.FeatureControlFrames
    Dim objFCF As SolidEdgeFrameworkSupport.FeatureControlFrame
    Dim objTerminator As SolidEdgeFrameworkSupport.Line2d
    ' Local variables to be declared here
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    On Error GoTo 0
    'Get the Active Sheet object
    Set objSheet = objDoc.ActiveSheet
    'Draw a line to be set as terminator object for the FeatureControlFrame
    Set objLine = objSheet.Lines2d.AddBy2Points(x1:=0.1, y1:=0.1, x2:=0.2, y2:=0.1)
    'Get the FeatureControlFrames collection object
    Set objFCFs = objSheet.FeatureControlFrames
    'Add a new FeatureControlFrame
    Set objFCF = objFCFs.Add(x:=0.15, y:=0.15, z:=0)
    objFCF.PrimaryFrame = "FLVB0.001MCVBA"
    Call objFCF.AddVertex(x:=0.2, y:=0.2, z:=0)
    objFCF.BreakLine = True
    'Attacth the FeatureControlFrame to the Line
    Call objFCF.SetTerminator(terminatorobj:=objLine, x:=0.125, y:=0.1, z:=0, keypoint:=False)
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objLine = Nothing
    Set objFCFs = Nothing
    Set objFCF = Nothing
    Set objTerminator = Nothing
End Sub
See Also

FeatureControlFrame Object  | FeatureControlFrame Members

Send comments on this topic.